import sys
import os
import asyncio
from appPublic.jsonConfig import getConfig
from sqlor.dbpools import DBPools
from ahserver.serverenv import ServerEnv
from uapi.appapi import UAPI

def get_module_dbname(mn):
	return 'sage'
	
async def main():
	workdir = os.getcwd()
	config = getConfig(workdir, {'workdir':workdir})
	DBPools(config.databases)
	env = ServerEnv()
	env.get_module_dbname = get_module_dbname
	uapi = UAPI()
	params = {
		'baseurl':'https://qianfan.baidubce.com',
		'model':'deepseek-v3',
		'prompt':'北京今天天气如何，适合跑步吗？',
	}
	upapiid = 'R47xUJay76dCCt1sLmWvE' # 百度智能搜索
	# MRXYc49LwTjyTLuOVk89R 百度文生文

	async for line in uapi(upapiid, '0', params=params):
		print(line)
	
if __name__ == '__main__':
	asyncio.new_event_loop().run_until_complete(main())

